# speex_stereo.h File Reference

Describes the handling for intensity stereo. More...

`#include "speex/speex_types.h"`
`#include "speex/speex_bits.h"`

## Classes

struct | SpeexStereoState

## Defines

#define | SPEEX_STEREO_STATE_INIT {1,.5,1,1,0,0}

## Functions

SpeexStereoState * | speex_stereo_state_init ()
void | speex_stereo_state_reset (SpeexStereoState *stereo)
void | speex_stereo_state_destroy (SpeexStereoState *stereo)
void | speex_encode_stereo (float *data, int frame_size, SpeexBits *bits)
void | speex_encode_stereo_int (spx_int16_t *data, int frame_size, SpeexBits *bits)
void | speex_decode_stereo (float *data, int frame_size, SpeexStereoState *stereo)
void | speex_decode_stereo_int (spx_int16_t *data, int frame_size, SpeexStereoState *stereo)
int | speex_std_stereo_request_handler (SpeexBits *bits, void *state, void *data)

## Detailed Description

Describes the handling for intensity stereo.